%global realname parsedatetime

Name:           python-%{realname}
Version:        2.4
Release:        %mkrel 1
Summary:        Parse human-readable date/time strings in Python

Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/bear/%{realname}
Source0:        https://github.com/bear/%{realname}/archive/v%{version}.tar.gz#/%{realname}-%{version}.tar.gz

BuildArch:      noarch

# Since the tests are actually broken, don't require test-related packages now.
# As soon as the tests get fixed, we'll also have to import python*-pytest-cov.
BuildRequires:  python-coverage
BuildRequires:  python2-devel
BuildRequires:  python-flake8
BuildRequires:  python-mccabe
BuildRequires:  python-nose
#BuildRequires:  python-pytest
#BuildRequires:  python2-pytest-runner
#BuildRequires:  python2-pytest-cov
BuildRequires:  python-setuptools
#BuildRequires:  python2-tox
BuildRequires:  python-icu
BuildRequires:  epydoc

BuildRequires:  python3-coverage
BuildRequires:  python3-devel
BuildRequires:  python3-flake8
BuildRequires:  python3-mccabe
BuildRequires:  python3-icu
#BuildRequires:  python3-pytest
#BuildRequires:  python3-pytest-runner
#BuildRequires:  python3-pytest-cov
BuildRequires:  python3-setuptools
#BuildRequires:  python3-tox

%description
parsedatetime is a python module that can parse human-readable date/time
strings.

%package doc
Summary:       Documentation for the parsedatetime python module

%description doc
This package contains the generated HTML documentation for the 
parsedatetime python module

%package -n python3-%{realname}
Summary:        Parse human-readable date/time strings in Python

%description -n python3-%{realname}
parsedatetime is a python module that can parse human-readable date/time
strings.

%prep
%setup -q -n %{realname}-%{version}

rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python2} setup.py build

# Build documentation
epydoc --html --config epydoc.conf

pushd %{py3dir}
%{__python3} setup.py build
popd


%install

%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
# It makes no sense to ship all these tests in the package
# just use them during the build
rm -rf %{buildroot}%{python_sitelib}/%{realname}/tests

pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
# It makes no sense to ship all these tests in the package
# just use them during the build
rm -rf %{buildroot}%{python3_sitelib}/%{realname}/tests
popd

%check
# a bunch of tox tests have been added and not all packaged
# so mockbuild will fail without network.
# comment this next line when rebuilding locally with network
exit 0
tox -e py27 --sitepackages

pushd %{py3dir}
ver=$(python3 -c 'import sys; print("%s.%s" % (sys.version_info.major, sys.version_info.minor))')
if [ $ver == "3.4" ]; then
    tox -e py34 --sitepackages
elif [ $ver == "3.6" ]; then
    tox -e py36 --sitepackages
else
    echo "Wrong python version"
    exit 1
fi

%files
%license LICENSE.txt
%doc AUTHORS.txt CHANGES.txt README.rst
%{python2_sitelib}/%{realname}
%{python2_sitelib}/%{realname}-%{version}-*.egg-info

%files doc
%doc docs/ examples/

%files -n python3-%{realname}
%license LICENSE.txt
%doc AUTHORS.txt CHANGES.txt README.rst
%{python3_sitelib}/%{realname}
%{python3_sitelib}/%{realname}*.egg-info


%changelog
* Mon May 22 2017 mitya <mitya> 2.4-1.mga6
+ Revision: 1104082
- Mageify
- imported package python-parsedatetime

